# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgRemoveSubrepositoriesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgRemoveSubrepositoriesDialog(object):
    def setupUi(self, HgRemoveSubrepositoriesDialog):
        HgRemoveSubrepositoriesDialog.setObjectName("HgRemoveSubrepositoriesDialog")
        HgRemoveSubrepositoriesDialog.resize(500, 300)
        HgRemoveSubrepositoriesDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(HgRemoveSubrepositoriesDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.subrepositories = QtWidgets.QListWidget(parent=HgRemoveSubrepositoriesDialog)
        self.subrepositories.setAlternatingRowColors(True)
        self.subrepositories.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.subrepositories.setObjectName("subrepositories")
        self.verticalLayout.addWidget(self.subrepositories)
        self.removeButton = QtWidgets.QPushButton(parent=HgRemoveSubrepositoriesDialog)
        self.removeButton.setEnabled(False)
        self.removeButton.setObjectName("removeButton")
        self.verticalLayout.addWidget(self.removeButton)
        self.deleteCheckBox = QtWidgets.QCheckBox(parent=HgRemoveSubrepositoriesDialog)
        self.deleteCheckBox.setObjectName("deleteCheckBox")
        self.verticalLayout.addWidget(self.deleteCheckBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgRemoveSubrepositoriesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(HgRemoveSubrepositoriesDialog)
        self.buttonBox.accepted.connect(HgRemoveSubrepositoriesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgRemoveSubrepositoriesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgRemoveSubrepositoriesDialog)
        HgRemoveSubrepositoriesDialog.setTabOrder(self.subrepositories, self.removeButton)
        HgRemoveSubrepositoriesDialog.setTabOrder(self.removeButton, self.deleteCheckBox)
        HgRemoveSubrepositoriesDialog.setTabOrder(self.deleteCheckBox, self.buttonBox)

    def retranslateUi(self, HgRemoveSubrepositoriesDialog):
        _translate = QtCore.QCoreApplication.translate
        HgRemoveSubrepositoriesDialog.setWindowTitle(_translate("HgRemoveSubrepositoriesDialog", "Remove Sub-repositories"))
        self.removeButton.setToolTip(_translate("HgRemoveSubrepositoriesDialog", "Press to remove the selected entries"))
        self.removeButton.setText(_translate("HgRemoveSubrepositoriesDialog", "&Remove"))
        self.deleteCheckBox.setToolTip(_translate("HgRemoveSubrepositoriesDialog", "Select to delete the removed entries from disc"))
        self.deleteCheckBox.setText(_translate("HgRemoveSubrepositoriesDialog", "Delete removed entries from disc"))
